Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.parameters

# Annotation Type Parameters

@Retention(RUNTIME) @Target(METHOD) @Inherited public @interface Parameters
This object encapsulates input parameters

See Also:
  - OpenAPI Specification Parameter Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Parameter[]`
`value`
An array of Parameter Objects for the operation

## Element Details

### value

Parameter[] value
An array of Parameter Objects for the operation

Returns:
  the parameters

Default:
  {}